From: =?utf-8?q?Guido_G=C3=BCnther?= <agx@sigxcpu.org>
Date: Fri, 28 Feb 2020 16:38:13 +0100
Subject: rfkill: Add camera and Mic rfkill types
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Guido Günther <guido.gunther@puri.sm>
---
 include/uapi/linux/rfkill.h | 4 ++++
 net/rfkill/core.c           | 2 ++
 2 files changed, 6 insertions(+)

diff --git a/include/uapi/linux/rfkill.h b/include/uapi/linux/rfkill.h
index 283c5a7..3cabe34 100644
--- a/include/uapi/linux/rfkill.h
+++ b/include/uapi/linux/rfkill.h
@@ -38,6 +38,8 @@
  * @RFKILL_TYPE_GPS: switch is on a GPS device.
  * @RFKILL_TYPE_FM: switch is on a FM radio device.
  * @RFKILL_TYPE_NFC: switch is on an NFC device.
+ * @RFKILL_TYPE_CAMERA: switch is on a camera device.
+ * @RFKILL_TYPE_MIC: switch is for a microphone device.
  * @NUM_RFKILL_TYPES: number of defined rfkill types
  */
 enum rfkill_type {
@@ -50,6 +52,8 @@ enum rfkill_type {
 	RFKILL_TYPE_GPS,
 	RFKILL_TYPE_FM,
 	RFKILL_TYPE_NFC,
+	RFKILL_TYPE_CAMERA,
+	RFKILL_TYPE_MIC,
 	NUM_RFKILL_TYPES,
 };
 
diff --git a/net/rfkill/core.c b/net/rfkill/core.c
index dac4fdc..587b5cc 100644
--- a/net/rfkill/core.c
+++ b/net/rfkill/core.c
@@ -662,6 +662,8 @@ static const char * const rfkill_types[] = {
 	"gps",
 	"fm",
 	"nfc",
+	"camera",
+	"microphone",
 };
 
 enum rfkill_type rfkill_find_type(const char *name)
